package sgc.portal.cs.cs0203.persistence;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0203.dto.CS02030001USearch;
import sgc.portal.cs.cs0203.model.CS02030001U;

import java.util.List;
import java.util.Map;

@Mapper
public interface CS02030001UMapper {
	
	//현장 동호수 조회
	List<EasyHashMap<String, Object>> selectTcsSiteDhsList(CS02030001USearch search);
	List<EasyHashMap<String, Object>> selectTcsSiteDhsPopList(CS02030001USearch search);
	
	//현장 동호수 등록 변경 삭제
	void insertTcsSiteDhs(CS02030001U cS02030001U);
	void updateTcsSiteDhs(CS02030001U cS02030001U);
	void deleteTcsSiteDhs(CS02030001U cS02030001U);
	int selectTcsDeftCount(CS02030001U cS02030001U);

}
